const arrayMap = <T, U>(array: T[], callback: (T: any, index: number, array: T[]) => U): U[] => {
    let i = -1
    const len = array.length
    let retArray = []
    while(++i < len){
        retArray.push(callback(array[i], i, array))
    }
    return retArray
}

export = arrayMap